Mail archive
alpine-aports

[alpine-aports] [PATCH] main/pax-utils: compile with libcap support

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 11 Feb 2016 16:17:53 +0100

---
 main/pax-utils/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/main/pax-utils/APKBUILD b/main/pax-utils/APKBUILD
index 8a45e5f..88cbfef 100644
--- a/main/pax-utils/APKBUILD
+++ b/main/pax-utils/APKBUILD
_at_@ -2,13 +2,13 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=pax-utils
 pkgver=1.1.5
-pkgrel=0
+pkgrel=1
 pkgdesc="ELF related utils for ELF 32/64 binaries"
 url="https://wiki.gentoo.org/wiki/Hardened/PaX_Utilities"
 arch="all"
 license="GPL2"
 depends="scanelf"
-makedepends="linux-headers"
+makedepends="linux-headers libcap-dev"
 source="http://distfiles.gentoo.org/distfiles/${pkgname}-${pkgver}.tar.xz"
 subpackages="$pkgname-doc scanelf:_scanelf"
 
_at_@ -24,7 +24,7 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	make || return 1
+	make USE_CAP=yes || return 1
 }
 
 package() {
-- 
2.7.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Feb 11 2016 - 16:17:53 GMT